Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 927728 - sci-physics/pythia-6.4.28-r2 fails to compile: pyr.f:15:20: error: type of pydatr does not match original declaration [-Werror=lto-type-mismatch]
Summary: sci-physics/pythia-6.4.28-r2 fails to compile: pyr.f:15:20: error: type of py...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Physics related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: lto
  Show dependency tree
 
Reported: 2024-03-24 16:57 UTC by Agostino Sarubbo
Modified: 2024-07-09 03:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,184.39 KB, text/plain)
2024-03-24 16:57 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-03-24 16:57:19 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-physics/pythia-6.4.28-r2 fails to compile.
Discovered on: amd64 (internal ref: lto_tinderbox)
System: LTO-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#LTO)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0014
Comment 1 Agostino Sarubbo gentoo-dev 2024-03-24 16:57:21 UTC
Created attachment 888451 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-07-09 03:08:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f149ed13e8e2abfc5cab650e1b417a2a6eb7a50f

commit f149ed13e8e2abfc5cab650e1b417a2a6eb7a50f
Author:     Eli Schwartz <eschwartz@gentoo.org>
AuthorDate: 2024-07-09 02:57:12 +0000
Commit:     Eli Schwartz <eschwartz@gentoo.org>
CommitDate: 2024-07-09 03:08:35 +0000

    sci-physics/pythia: mark as LTO-unsafe
    
    It's very old code. So old, in fact, that upstream doesn't support it
    anymore and introduced a major new release series (which resulted in
    adding an outright SLOT to the ebuild) to port it to C++. And that was
    in 2012.
    
    The error itself is, naturally, fortran related. :) :) So there is
    simply no point in reporting this anywhere. The newer SLOT works fine.
    Simply prevent LTO. Anyways, no one is using 6.x except "to allow older
    published results to be reproduced, should the need arise". Free
    permission to not care about LTO...
    
    Closes: https://bugs.gentoo.org/927728
    Signed-off-by: Eli Schwartz <eschwartz@gentoo.org>

 sci-physics/pythia/pythia-6.4.28-r2.ebuild | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)